
/*
var _title = [
    // delaunay
    "Eingebettet Equivariant CMC 5-Lobe Delaunay Torus",
    // delaunay twisty
    "Equivariant CMC 4-lobe Twisty Delaunay Torus",
    // wente
    "3-Lobe Wente Torus",
    // dobriner
    "8-Lobe Dobriner Torus",
    // willmore
    "12-Lobe Equivariant Willmore Torus",
    // lawson
    "Lawson Minimal Fl&auml;che von Geschlecht Zwei"
];
*/

/*
// === GERMAN ===
var _title = [
    // delaunay
    "Delaunay Torus",
    // delaunay twisty
    "Delaunay Twisty Torus",
    // wente
    "Wente Torus",
    // dobriner
    "Dobriner Torus",
    // willmore
    "Willmore Torus",
    // lawson
    "Lawson Fl&auml;che"
];

var _subtitle = [
    // delaunay
    "5-bauchige Fl&auml;che mit konstanter mittlerer Kr&uuml;mmung in der dreidimensionalen Sph&auml;re",
    // delaunay twisty
    "4-bauchige Fl&auml;che mit konstanter mittlerer Kr&uuml;mmung in der dreidimensionalen Sph&auml;re",
    // wente
    "3-bauchige Fl&auml;che mit konstanter mittlerer Kr&uuml;mmung im dreidimensionalen Raum",
    // dobirner
    "8-bauchige Fl&auml;che mit konstanter mittlerer Kr&uuml;mmung im dreidimensionalen Raum",
    // willmore
    "12-bauchige &Auml;quivariante Willmore Fl&auml;che in der dreidimensionalen Sph&auml;re",
    // lawson
    "Minimalfl&auml;che in der dreidimensionalen Sph&auml;re"
];

var _description = [
// delaunay
"Diese perfekt harmonisch undulierende Fl&auml;che ist eine Schwimmreifen-&auml;hnliche Seifenblase. Sie wurde von Charles-Eug&egrave;ne Delaunay in der Mitte des 18. Jh.s entdeckt und existiert eigentlich in einer dreidimensionalen Sph&auml;re. Hier sehen wir eine Projektion in unseren dreidimensionalen Raum. Eine Fl&auml;che der Art &#147;Schwimmreifen&#148; bezeichnet man mathematisch als Torus.",
// twisty delaunay
"Dieser Rotationstorus hat ebenfalls minimale Oberfl&auml;che bei einem fest gegebenen Volumen. Der Fl&auml;chenfilm durchdringt und durchwebt sich in komplexer Weise. Man kann ihn sich vorstellen als elastisches Band, das schnell um einen Kreis rotiert und dadurch die vier gr&ouml;&szlig;eren Knoten bildet.",
 // wente
"Die Existenz dieser Fl&auml;che war f&uuml;r viele Mathematiker eine &Uuml;berraschung. Sie minimiert die Oberfl&auml;che bei gegebenem eingeschlossenen Volumen. Heinz Hopf vermutete, dass es einen solchen Torus nicht geben k&ouml;nne. Der Torus wurde erst in den 80er Jahren des letzten Jh.s von Henry Wente entdeckt und war das erste Gegenbeispiel zur Hopf-Vermutung. Ein weiteres Jahr dauerte es dann noch bis Uwe Abresch die Fl&auml;che visualisieren konnte.",
// dobriner
"Die Koordinaten dieser Fl&auml;che wurden Ende des 19. Jh.s von Hermann Dobriner in seiner Doktorarbeit per Hand berechnet. Ebenso wie der Wente Torus minimiert sie die Oberfl&auml;che bei gegebenem eingeschlossenen Volumen. Niemand wusste zur damaligen Zeit, dass diese Fl&auml;che ein Torus ist und daher bereits ein Gegenbeispiel zur Hopf-Vermutung darstellt. Erst durch den Einsatz von Computern wurde die Form der Fl&auml;che sichtbar.",
// willmore
"Diese Schwimmreifen-&auml;hnliche Seifenblase ist ein in der Natur sofort zerfallender Gleichgewichtszustand der elastischen Membranenergie. Sie wurde 1990 von Dirk Ferus und Franz Pedit entdeckt. Im Vergleich zum Wente Torus durchdringt sich der Fl&auml;chenfilm nicht, weshalb dieser Torus als eingebettet bezeichnet wird.",
// lawson
"Diese Fl&auml;che, benannt nach Blaine Lawson, wurde 1970  entdeckt und minimiert ihre Oberfl&auml;che in der dreidimensionalen Sph&auml;re. Wie beim Delaunay Torus sehen wir eine Projektion in unseren dreidimensionalen Raum.  Durch die zwei L&ouml;cher beschreibt man sie als Fl&auml;che mit dem Geschlecht 2. Die Fl&auml;che besitzt viele Symmetrien und ist durch Reflexion und Rotation von einem Urst&uuml;ck zusammengesetzt. Im Gegensatz zu Tori ist diese Fl&auml;che die einzige bisher bekannte Minimalfl&auml;che mit Geschlecht 2."
];
*/


// === ENGLISH ===

var _title = [
    // delaunay
    "Delaunay Torus",
    // delaunay twisty
    "Delaunay Twisty Torus",
    // wente
    "Wente Torus",
    // dobriner
    "Dobriner Torus",
    // willmore
    "Willmore Torus",
    // lawson
    "Lawson Surface"
];

var _subtitle = [
    // delaunay
    "5-lobed constant mean curvature surface in the 3-sphere",
    // delaunay twisty
    "4-lobed constant mean curvature surface in the 3-sphere",
    // wente
    "3-lobed constant mean curvature surface in 3-dimensional Euclidean space",
    // dobirner
    "8-lobed constant mean curvature surface in 3-dimensional Euclidean space",
    // willmore
    "12-lobed equivarant Willmore surface in the 3-sphere",
    // lawson
    "Minimal surface in the 3-sphere",
];

var _description = [
// delaunay
"This embedded torus of revolution has constant mean curvature in the 3-sphere. It can be constructed by rotating an elastic curve in the Poincare disk around the boundary at infinity. Recent results by Simon Brendle (2012), Ben Andrews and Haizhong Li (2012) show that all embedded CMC tori are obtained this way.",
// twisty delaunay
"This torus is equivariant and non-rotational, with a 1-parameter group of isometric symmetries. It has constant mean curvature in the 3-sphere and was found by Martin Kilian, Martin Schmidt and Nicholas Schmitt (2010) via integrable systems methods.",
// wente
"The Wente torus, the first known example of an immersed torus in Euclidean space with constant mean curvature, was found by Henry Wente in 1985 via analytic methods. Earlier, Hopf had conjectured that the round sphere was the only compact and immersed constant mean curvature surface in Euclidean space. Uwe Abresch (1987) was the first to visualize this torus by computer.",
// dobriner
"The coordinates of this constant mean curvature torus were computed by Hermann Dobriner in his thesis in the 19th century. It is a counterexample to the Hopf conjecture. Before computer visualization, no one noticed the surface is actually compact.",
// willmore
"This torus, with a one-parameter group of isometric symmetries, is a critical point for the Willmore energy. It was found by Dirk Ferus and Franz Pedit (1990).",
// lawson
"The Lawson surface is the only known minimal surface of genus two. It was found by Blaine Lawson Jr. (1970) using the existence of a solution to a Plateau problem. It has various symmetries and is built out of a single piece by rotation and reflection. The grid lines on the surface show numerical conformal curvature lines. This parametrization was found in experiments by Nicholas Schmitt and Sebastian Heller (2013) using integrable systems methods.",
];

var box_size = 660;

var surface_data = [
    // delaunay
    {
        "label":"Delaunay torus",
	"path":"surface/delaunay-torus-5lobe/",
        "icon":'image/surface_buttons/delaunay-small.png',
        "icon_padding":6,
        "texture":'texture/grunge_metal2.jpg',
	"infobox_height": box_size,
	'title' : _title[0],
	'subtitle' : _subtitle[0],
	'description' : _description[0]
    },
    // delaunay twisty
    {
        "label":"Delaunay twisty torus",
	"path":"surface/delaunay-twisty-torus-4lobe/",
        "icon":'image/surface_buttons/delaunay-twisty-4lobe-small.png',
        "icon_padding":6,
        "texture":'texture/grunge_metal-16x2-small.jpg',
	"infobox_height": box_size,
	'title' : _title[1],
	'subtitle' : _subtitle[1],
	'description' : _description[1]
    },
    // wente
    {
        "label":"Wente torus",
	"path":"surface/wente-1-3-s3/",
        "icon":'image/surface_buttons/wente-small.png',
        "icon_padding":6,
        "texture":'texture/grunge_metal-2x2-small.jpg',
	"infobox_height": box_size,
	'title' : _title[2],
	'subtitle' : _subtitle[2],
	'description' : _description[2]
    },
    // dobriner
    {
	"label":"Dobriner torus",
	"path":"surface/dobriner-8lobe-s3/",
        "icon":'image/surface_buttons/dobriner-small.png',
        "icon_padding":6,
        "texture":'texture/grunge_metal-8x4-small.jpg',
	"infobox_height": box_size,
	'title' : _title[3],
	'subtitle' : _subtitle[3],
	'description' : _description[3]
    },
    // willmore
    {
        "label":"Willmore torus",
	"path":"surface/willmore-12lobe/",
        "icon":'image/surface_buttons/feruspedit-small.png',
        "icon_padding":6,
        "texture":'texture/grunge_metal-8x2-small.jpg',
	"infobox_height": box_size,
	'title' : _title[4],
	'subtitle' : _subtitle[4],
	'description' : _description[4]
    },
    // lawson
    {
        "label":"Lawson surface",
	"path":"surface/lawson2/",
        "icon":'image/surface_buttons/lawson-z-small.png',
	"icon_padding":6,
        "texture":'texture/grunge_metal2.jpg',
	"infobox_height": box_size,
	'title' : _title[5],
	'subtitle' : _subtitle[5],
	'description' : _description[5]
    }
];

