/*global
  get_time:false
*/

XLAB.FPSCounter = function()
{
    "use strict";
    this.frame_count = 0;
    this.time = get_time();
};

XLAB.FPSCounter.prototype.update = function()
{
    "use strict";
    ++this.frame_count;
    var t0 = this.time;
    var t = get_time();
    var fps;
    if (t - t0 > 1000) {
	fps = 1000.0*this.frame_count / (t-t0);
	//document.getElementById('fps').textContent = fps.toFixed(2) + ' fps';
	this.frame_count = 0;
	this.time = t;
    }
    return fps;
};
