/*global
  sign:false
  window:false
  document:false
*/

XLAB.MouseWheel = function(position) {
    "use strict";
  this.position = position;
  // connect
  this._connect();
};

XLAB.MouseWheel.prototype._connect = function() {
    "use strict";
  
  // connnect the window to the _on_wheel function
  var m = this;

  window.addEventListener(
      'DOMMouseScroll',
      function(event) { m._onMouseWheel(event); },
      true);
  window.onmousewheel = function(event) { m._onMouseWheel(event); };
  document.onmousewheel =  function(event) { m._onMouseWheel(event); };
};

XLAB.MouseWheel.prototype._onMouseWheel = function(event) {
  "use strict";
  // roll away from user: delta = 1
  // roll toward from user: delta = -1
  var delta = 0;
  if (event.wheelDelta) {
    delta = sign(event.wheelDelta);
  }
  else if (event.detail) {
    delta = -sign(event.detail);
  }

  this.position.translateZ( delta );

};
